positiveDefinite {fBasics} | R Documentation

## Positive Definite Matrixes

### Description

Checks if a matrix is positive definite and/or forces a matrix to be positive definite.

### Usage

    isPositiveDefinite(x)
    makePositiveDefinite(x)

### Arguments

`x` | a square numeric matrix.

### Details

The function `isPositiveDefinite` checks if a square matrix is positive definite.

The function `makePositiveDefinite` forces a matrix to be positive definite.

### Author(s)

Korbinian Strimmer.

### Examples

    ## isPositiveDefinite -
       # the 3x3 Pascal Matrix is positive define
       isPositiveDefinite(pascal(3))

[Package fBasics version 3042.89 Index]